List project roles
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-roles \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3e7a1b2c-8f4d-4a9e-b6c3-d2f5a8e1c9b7",
"name": "Senior Engineer",
"isActive": true,
"isBillable": true,
"rate": 175,
"createdAt": "2025-03-12T14:22:08.500Z",
"project": {
"id": "d8e3f7a2-c1b9-4d6e-8f2a-b5c7d3e9f1a6",
"name": "Platform Modernization",
"client": {
"id": "e1a4b8c3-d7f2-4e9a-b6c1-a3d8f4e7b2c9",
"name": "Acme Corporation"
}
},
"discipline": {
"id": "a91f4c2d-73b5-4e6a-8d1c-f3e7b2a9c4d6",
"name": "Engineering"
},
"practice": {
"id": "c45d8e3f-12a7-4b9c-9e2d-7f6a1b3c8d5e",
"name": "Software Development"
},
"location": {
"id": "f2b7c9a4-85d3-4f1e-a6b8-c3d9e7f2a1b4",
"name": "New York"
},
"budget": {
"billableHours": 320,
"nonBillableHours": 40
},
"monthlyBudget": {
"billableHours": 80,
"nonBillableHours": 10
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Project Roles
List project roles
GET
/
project-roles
List project roles
A role on a project used to group rates and billability settings, then assigned to project members.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A project ID (uuid) used to filter objects for a specific project.
⌘I